<div class="row bgcolor">
  <div class="col-md-12">
    <h3>ID Card Number And Details</h3>
  </div>
</div>
<div class="row pt-3">
  <div class="col-md-12">
    <form [formGroup]="idCardNumberDetailsForm">
      <div class="form-group">
        <input
          type="number"
          class="form-control-sm"
          name="idNo"
          formControlName="idNo"
        />

        <label class="mx-4">
          <sub> enter the Identificationn number it appears on the card</sub>
        </label>
        <div
          class="alert alert-danger text-center"
          *ngIf="idNo.invalid && idNo.touched"
        >
          Enter 10 Digit ID No
        </div>
      </div>
      <div class="d-flex pt-3">
        <div class="form-group">
          <label for="">Date of Expiration </label>
          <input
            type="date"
            class="form-control"
            name="iddate"
            formControlName="iddate"
          />
          <div
            class="alert alert-danger text-center"
            *ngIf="iddate.invalid && iddate.touched"
          >
            Date Required
          </div>
        </div>
        <div class="form-group mx-5">
          <label for="">Type Of License</label>
          <input
            type="text"
            class="form-control"
            name="typeOfLicense"
            formControlName="typeOfLicense"
          />
          <div
            class="alert alert-danger text-center"
            *ngIf="typeOfLicense.invalid && typeOfLicense.touched"
          >
            Type Of License Required
          </div>
        </div>
        <div class="form-group">
          <label for="">Out-of-State License ID No</label>
          <input
            type="number"
            class="form-control"
            name="licenseIdNo"
            formControlName="licenseIdNo"
          />
          <div
            class="alert alert-danger text-center"
            *ngIf="licenseIdNo.invalid && licenseIdNo.touched"
          >
            Enter 10 Digit Out-of-State License ID No
          </div>
        </div>
      </div>
      <!-- <button
        class="btn btn-sm btn-danger mt-2"
        (click)="getData()"
        [disabled]="!idCardNumberDetailsForm.valid"
      >
        Submit
      </button> -->
    </form>
  </div>
</div>

<!-- <div class="row">
  <div class="col-md-12">
    <app-child-idcard-number-details [selectedValue]="parentData">
    </app-child-idcard-number-details>
  </div>
</div> -->
